Mailinglist Archive: opensuse-factory (387 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190516 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190516

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
analitza (19.04.0 -> 19.04.1)
blinken (19.04.0 -> 19.04.1)
bovo (19.04.0 -> 19.04.1)
cervisia (19.04.0 -> 19.04.1)
dav1d
desktop-file-utils
engrampa (1.20.2 -> 1.22.0)
fdupes
ffmpegthumbs (19.04.0 -> 19.04.1)
gdk-pixbuf
gegl (0.4.12 -> 0.4.14)
gimp (2.10.8 -> 2.10.10)
git
glib2
gnome-control-center
gtk2
gtk3
installation-images-Kubic
installation-images-MicroOS
juk (19.04.0 -> 19.04.1)
k3b (19.04.0 -> 19.04.1)
kalgebra (19.04.0 -> 19.04.1)
kalzium (19.04.0 -> 19.04.1)
kanagram (19.04.0 -> 19.04.1)
kapptemplate (19.04.0 -> 19.04.1)
katomic (19.04.0 -> 19.04.1)
kblackbox (19.04.0 -> 19.04.1)
kblocks (19.04.0 -> 19.04.1)
kbounce (19.04.0 -> 19.04.1)
kbreakout (19.04.0 -> 19.04.1)
kbruch (19.04.0 -> 19.04.1)
kcachegrind (19.04.0 -> 19.04.1)
kcron (19.04.0 -> 19.04.1)
kde-print-manager (19.04.0 -> 19.04.1)
kdeedu-data (19.04.0 -> 19.04.1)
kdegraphics-thumbnailers (19.04.0 -> 19.04.1)
kdepim-runtime (19.04.0 -> 19.04.1)
kdf (19.04.0 -> 19.04.1)
kdiamond (19.04.0 -> 19.04.1)
kernel-source (5.0.13 -> 5.1.2)
kgeography (19.04.0 -> 19.04.1)
kget (19.04.0 -> 19.04.1)
kgoldrunner (19.04.0 -> 19.04.1)
khangman (19.04.0 -> 19.04.1)
kig (19.04.0 -> 19.04.1)
kimagemapeditor (19.04.0 -> 19.04.1)
kiriki (19.04.0 -> 19.04.1)
kiten (19.04.0 -> 19.04.1)
kjumpingcube (19.04.0 -> 19.04.1)
klettres (19.04.0 -> 19.04.1)
klines (19.04.0 -> 19.04.1)
kmahjongg (19.04.0 -> 19.04.1)
kmines (19.04.0 -> 19.04.1)
kmouth (19.04.0 -> 19.04.1)
kmplot (19.04.0 -> 19.04.1)
knavalbattle (19.04.0 -> 19.04.1)
knetwalk (19.04.0 -> 19.04.1)
kolf (19.04.0 -> 19.04.1)
kollision (19.04.0 -> 19.04.1)
kolourpaint (19.04.0 -> 19.04.1)
konquest (19.04.0 -> 19.04.1)
kpat (19.04.0 -> 19.04.1)
kqtquickcharts (19.04.0 -> 19.04.1)
krb5
krdc (19.04.0 -> 19.04.1)
kreversi (19.04.0 -> 19.04.1)
krfb (19.04.0 -> 19.04.1)
kshisen (19.04.0 -> 19.04.1)
ksirk (19.04.0 -> 19.04.1)
kspaceduel (19.04.0 -> 19.04.1)
ksquares (19.04.0 -> 19.04.1)
ksudoku (19.04.0 -> 19.04.1)
ksystemlog (19.04.0 -> 19.04.1)
kteatime (19.04.0 -> 19.04.1)
ktimer (19.04.0 -> 19.04.1)
ktouch (19.04.0 -> 19.04.1)
ktuberling (19.04.0 -> 19.04.1)
kturtle (19.04.0 -> 19.04.1)
kubrick (19.04.0 -> 19.04.1)
kwordquiz (19.04.0 -> 19.04.1)
libkdegames (19.04.0 -> 19.04.1)
libkeduvocdocument (19.04.0 -> 19.04.1)
libkmahjongg (19.04.0 -> 19.04.1)
libmypaint
libqt4
lokalize (19.04.0 -> 19.04.1)
lskat (19.04.0 -> 19.04.1)
man-pages (5.00 -> 5.01)
mariadb-connector-c
mate-calc (1.20.3 -> 1.22.0)
mbox-importer (19.04.0 -> 19.04.1)
nodejs10
openssl (1.1.0h -> 1.1.1b)
openssl-1_1 (1.1.0h -> 1.1.1b)
p11-kit
parley (19.04.0 -> 19.04.1)
pim-data-exporter (19.04.0 -> 19.04.1)
pim-sieve-editor (19.04.0 -> 19.04.1)
postgresql11 (11.2 -> 11.3)
postgresql11-libs (11.2 -> 11.3)
python-h2
python-pycups (1.9.73 -> 1.9.74)
python-pygit2 (0.28.0 -> 0.28.1)
python-pygraphviz (1.4rc1 -> 1.5)
rubygem-asciidoctor (1.5.8 -> 2.0.9)
samba (4.10.2+git.78.0c89af72312 -> 4.10.2+git.94.31fb5e37171)
shared-mime-info
step (19.04.0 -> 19.04.1)
sweeper (19.04.0 -> 19.04.1)
sysuser-tools
ucode-intel (20190312 -> 20190514)
umbrello (19.04.0 -> 19.04.1)
xdg-desktop-portal-kde
xfdesktop
yast2-firstboot (4.1.6 -> 4.1.7)
yast2-installation (4.2.3 -> 4.2.4)
yast2-packager (4.2.4 -> 4.2.6)
yast2-pam (4.2.1 -> 4.2.3)
yast2-theme (4.2.1 -> 4.2.2)

=== Details ===

==== analitza ====
Version update (19.04.0 -> 19.04.1)
Subpackages: analitza-lang libAnalitza5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== blinken ====
Version update (19.04.0 -> 19.04.1)
Subpackages: blinken-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== bovo ====
Version update (19.04.0 -> 19.04.1)
Subpackages: bovo-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== cervisia ====
Version update (19.04.0 -> 19.04.1)
Subpackages: cervisia-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== dav1d ====

- Added dav1d.armv6.patch (disables armv7 asm for armv6 builds)

==== desktop-file-utils ====

- Move RPM macros to %_rpmmacrodir.

==== engrampa ====
Version update (1.20.2 -> 1.22.0)
Subpackages: engrampa-lang

- Update to version 1.22.0:
* Add .a (Ar) support.
* fr-window: Replace deprecated gtk_menu_popup functions.
* Fix a crash on exit after using the Open With dialogue.
* Avoid deprecated GtkStock.
* Avoid array index out of bounds parsing dpkg-deb --info.
* warning: Use of memory after it is freed.
* Read authors (updated) from engrampa.about gresource.
* eggsmclient: Avoid deprecated 'g_type_class_add_private'.
* rar/unrar: Fix: "overwrite existing files" disabled must work.
* fix fr-command-cfile.c: fr_process_set_working_dir.
* Added test integrity for brotli.
* Added test integrity for the cfile compressors: gzip, bzip2,
etc.
* Move appdata to the metainfo/ directory.
* fr-window: Show the pause button only if the dialogue is
working.
* fr-window: Avoid 'gtk_dialog_add_button' with stock ids.
* fr-window: Hide the progress bar if the process is paused.
* fr-window: Change the info label if process is paused/resumed.
* fr-window: Little improvements in the look of pause/resume
button.
* Adding pause and start functions.
* Fix implementation and use of the alternative package name
lookup.
* Add support for brotli (*.tar.br) compressed tar archives.
* Add brotli support.
* Add the ability to support 'unar' over .zip archives.
* Add support for OpenDocument formats.
* UI: On the properties dialogue, focus the Close button instead
of the Help button by default.
* Update translations.
- Rebase engrampa-gtk-3.20.patch.

==== fdupes ====

- Move RPM macros to %_rpmmacrodir.

==== ffmpegthumbs ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ffmpegthumbs-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== gdk-pixbuf ====
Subpackages: gdk-pixbuf-lang gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit gdk-pixbuf-thumbnailer libgdk_pixbuf-2_0-0
libgdk_pixbuf-2_0-0-32bit typelib-1_0-GdkPixbuf-2_0

- Move RPM macros to %_rpmmacrodir.

==== gegl ====
Version update (0.4.12 -> 0.4.14)
Subpackages: gegl-0_4 gegl-0_4-lang libgegl-0_4-0

- Update to version 0.4.14:
+ Core:
- New Scratch allocator for short lived buffers.
- Removed unneeded buffer copies in some processing code paths
in GeglNode and GeglProcessor.
- Add gegl_babl_variant API for getting variations on an
existing pixel-format/encoding.
- Expose gegl_node_is_graph().
+ GeglBuffer:
- Compression of tile data.
- Handle dynamically changing swap dir.
- Improvements to mipmap damage propagation.
- Fixes to threading race conditions.
- Low-level tile handling more adapted to buffers creating from
existing linear data.
- New iterator API is now the default,
GEGL_BUFFER_ITERATOR2_API is no longer needed.
- CMYK/grayscale handling for scaled blits, code paths in
samplers, serialization.
- New default tile-cache size, 50% of RAM.
- Initialize the first OpenCL device with IMAGE support.
- Added gegl_parallell_ from gimp_parallell_ API to distribute
processing for multiple cores.
+ Operations:
- crop, added aux-pad - if connected the incoming bounding box
determines the crop size.
- Input-format specific processing for performance in
watershed-transform and invert ops. CMYK handling in
jpg-load/save, tiff-load/save, gaussian-blur, opacity, most
composing and blending operations, text, vector-stroke, path,
and transform operations.
- Improved or fixed mipmap preview rendering of emboss,
linear-gradient and radial-gradient.
- Better ui strings/range/defaults for: distort/waves and
dropshadow, value-propagate.
- gaussian-blur: fix mistake in implementation of IIR Young
blur 1d, which caused non circular halos.
- New operation: pdf-load with build dependency on
poppler-glib.
- Added offset properties to pixelize filter.
- New ops in workshop: voroni diagram, Grey Color Removal,
spyrograph.
- Handle mipmap rendering for linear-gradient and
radial-gradient.
+ UI:
- The existing microraptor-gui (immediate mode touch UI+CSS
with cairo) image viewer that can be built as part of the
gegl binary has been revisted, a graph/property editor has
been added, and migration/extension to lua has begun for
parts of the code.
- WARNING: many parts of the UI is of exploratory proof of
concept/alpha quality but are released since the code is part
of the GEGL repository and important development tools both
for creating and testing new GEGL operations as well as GEGL
itself.
- Some screenshots showing some the process towards the state
and capabilties of the UI in this release can be seen at
https://www.patreon.com/posts/24123574
- To build with this UI the following dependencies also need to
be satisifed, for now this is not intended to be packaged by
distributions yet.
. libluajit-dev
. lua-lgi (debian package name) upstream:
. mmm https://github.com/hodefoting/mmm
. mrg https://github.com/hodefoting/mrg
+ Features:
- folder view.
- resolution independent UI.
- touch oriented navigation.
- GIF / video playback.
- PDF pagination.
- goats that expose performance and capabilty issues in GEGL.
- efficient (though not sandboxed) thumbnailing.
- embedded simple commandline.
- graph editor.
- zoomable.
- automatic, consistent graph layout.
- autogenerated property-inspector ui.
- visualization of color model/bitdepth through styling of
edges.
- live-extendable with lua code for per-operation canvas UI.
- Add pkgconfig(poppler-glib) BuildRequires: New dependency.

==== gimp ====
Version update (2.10.8 -> 2.10.10)
Subpackages: gimp-lang gimp-plugin-aa gimp-plugins-python libgimp-2_0-0
libgimpui-2_0-0

- Update to version 2.10.10:
- Core:
- Add gimp-scratch allocator, a fast memory allocator (on the
order of magnitude of alloca()), suitable for small (up to a
few megabytes), short-lived (usually, bound to the current
stack-frame) allocations. Unlike alloca(), gimp-scratch
doesn't use the stack, and is therefore safer, and will also
serve bigger requests, by falling-back to malloc().
- In gimp_drawable_transform_buffer_affine(), avoid modifying
the clipping mode when transforming layer masks, since this
function is used (among other things) to transform layer
masks together with their layer, in which case they should
use the same clipping mode as the layer. This fixes a
regression introduced by commit 2ae823ba, causing layer masks
to be transformed with a mismatched clipping mode during
layer transforms, leading to discrepencies between the
transformed layer and the transformed mask.
- Moved swap/cache and temporary files out the GIMP user config
dir and added new config file substitutions ${gimp_cache_dir}
and ${gimp_temp_dir}.
- Pass the GEGL tile-cache size, swap path, and thread-count to
plug-ins as part of their config, and have libgimp set the
plug-in's GeglConfig accordingly upon initialization.
- Layer groups are now rendered in bigger chunks rather than
tile-by-tile (which used to pretty much eliminate
multithreading for groups), which improves the rendering
speed.
- Make saving/exporting files more robust to errors. In
particular if an error occurs during the process (be it a
bug, a memory error, or anything else), GIMP won't overwrite
anymore any existing file with incomplete contents, so that
you won't end up with no valid files at all.
- Fix a regression on support of various graphics tablet.
- Remove the "Edit -> Fade..." feature: it makes GIMP use two
buffers instead of one (east into system resources), it's
broken in 2.10, and we can make the UX better for filters.
- New generic canvas modifier 'Alt + middle click' allowing to
pick layers by clicking on pixels. The available layers will
be looped through (starting from the upper one) while Alt key
is hold and the picked layer name will be temporarily
displayed in the status bar.
- When clearing a channel, do nothing if the channel is already
empty; otherwise, align the cleared rectangle to the channel
buffer's tile grid, so that all affected tiles are dropped,
rather than zeroed. Furthermore, only update the affected
region of the channel.
- Brush and pattern saving logics has been moved to core code
(instead of plug-in).
- Clipboard brushes and pattern can now be duplicated.
- Parametric brushes are now 32-bit float to avoid
posterization on large brushes. Note: raster brushes are
still 8-bit and plug-ins only have access to 8-bit versions
of high-precision brushes/patterns. New API will be required
to handle high-precision data.
- On-canvas preview while editing a color in the colormap of an
indexed image.
- User interface:
- Enabled HiDPI/Retina support for the GTK2/OSX build, fixes
blurry icons.
- Add a tooltip to the "better compression" checkbox in save
dialog to make it clearer it does not mean that the file size
is necessarily smaller in every cases. In particular some
best/worst case are possible when an algorithm less efficient
in general may end up better on a particular image.
- Add basic support for cursors with a scale factor of 2 for
HiDPI (artwork to be updated).
- Foreground and background color icons, as well as color
history will now display out-of-gamut warning on indexed
images for colors outside of the palette, as well as on
grayscale images, for non-gray colors.
- Pack color picker and hexadecimal entry on same line in Color
dock.
- Add an "Open as Image" button to the brushes dialog.
- Usability:
- Attempting to transform locked layers or paint on them now
results in blinking around the status bar (where the warning
message is displayed) and around the toolbar where lock
toggles are. The same applies to attempting to move a
selection where there is none ? GIMP will blink around the
toolbar where the moving target (layer, selection, path) is
chosen.
- GIMP now allows selecting default export file type for new
projects. The choice is limited to PNG, JPEG, WebP, PSD,
ORA, TIFF, BMP.
- GimpSpinScale widget now has an optional feature to constrain
the value to integer when dragging with a pointer (even if
the scale allows for fractional numbers), set with new
function gimp_spin_scale_set_constrain_drag(). This is
useful for settings where fractional numbers are technically
possible, yet most common use case are with integers (such as
pixel sizes, angles in degrees, etc.) so you want the easy
interface to be constrained. Fractional numbers are still
settable, for instance by keyboard edit; and arrow
incrementation won't drop fraction parts. This is currently
only activated for brush options in paint tools.
- Tools:
- In scale tool, scale around center even when using numeric
input.
- New algorithm in the Bucket Fill tool when selecting the
affected area "Fill by line art detection", based off the
G'Mic algorithm for "smart colorization":
https://hal.archives-ouvertes.fr/hal-01891876 In a few words,
it identifies painted pixels (either based on grayscale or
opacity values) and tries to close line arts to allow filling
even with not perfectly closed zones; the second step of the
algorithm will flood the colors under line art pixels to
prevent "holes" in the filling. It is possible to control a
max size (in pixels) for the flooding, as well as max length
of closing segments and splines.
- The Bucket Fill tool got new interaction allowing to hold the
click and move the mouse to fill based on several seed zones
(for "Fill by line art detection" as well as "Fill similar
colors"). You can now cancel the fill in progress with right
click as in other tools.
- The Bucket Fill tool now allows color picking with
ctrl-click, same as every painting tool. It will pick either
the foreground or background color depending on the selected
Fill Type. The ctrl-alt modifier combination is also possible
to pick the non-Fill Type color.
- In the Bucket Fill tool, the Alt modifier will now switch to
"FG color fill" when "Pattern fill" was set (instead of doing
nothing).
- In the Unified Transform tool, default to preserving aspect
ratio when scaling up or down.
- In the Healing tool, "Sample merged" now also work for the
target pixels, allowing to draw in empty layers.
- Selection by color is now parallelized, hence improving speed
of the Select by Color tool (and any other processing which
may share this piece of code now or in the future).
- Add "Constrain handles" and "Around center" options to the
perspective-transform tool's GUI, which are similar to the
corresponding options of the unified-transform tool.
- Improve color picking on indexed image to always select an
indexed color corresponding to the picked pixel in the
colormap.
- Plug-ins:
- file-pdf-save GUI now clearly indicates the order the layers
will be used to make multi-page PDFs.
- Add DDS loading/exporting plug-in originally developed by
Shawn Kirst and Arne Reuter.
- Rename the Guillotine plug-in to Slice Using Guides.
- Add a new option saving a color profile when exporting PNG,
JPEG, TIFF. Always save it when exporting to PSD.
- Remove the "Advanced" expanders from the PNG and TIFF export
dialogs.
- Full rewrite of the Spyrogimp plug-in with much more options
and better interaction.
- Indexed TIFF with alpha channel now supported.
- Filters:
- Add on-canvas GUI (simple lines) for circular, linear, and
zoom motion blur.
- Help:
- Link to the bugtracker directly from the Help menu, also link
to the wiki and the roadmap. Remove the link to currently
disabled registry.gimp.org.
- Translations:
- Czech, Danish, French, Italian, Japanese, Marathi, Polish,
Russian, Spanish, Swedish, Ukrainian.

==== git ====
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- Add 0001-DOC-Move-to-DocBook-5-when-using-asciidoctor.patch: Move
to DocBook 5.x. Asciidoctor 2.x no longer supports the legacy
DocBook 4.5 format.

==== glib2 ====
Subpackages: glib2-lang glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Move glib2.macros to %_rpmmacrodir. /etc is for the system admin.

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Modified gnome-control-center-disable-error-message-for-NM.patch:
Only prompt users to use Yast to configure network when
NetworkManager is not running (boo#1134381).

==== gtk2 ====
Subpackages: gtk2-data gtk2-immodule-amharic gtk2-immodule-inuktitut
gtk2-immodule-thai gtk2-immodule-tigrigna gtk2-immodule-vietnamese
gtk2-immodule-xim gtk2-lang gtk2-tools gtk2-tools-32bit libgtk-2_0-0
libgtk-2_0-0-32bit

- Move RPM macros to %_rpmmacrodir.

==== gtk3 ====
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese
gtk3-immodule-xim gtk3-lang gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Move RPM macros to %_rpmmacrodir.

==== installation-images-Kubic ====

- do not use openssl-1_1-hmac in openSUSE for now

==== installation-images-MicroOS ====

- do not use openssl-1_1-hmac in openSUSE for now

==== juk ====
Version update (19.04.0 -> 19.04.1)
Subpackages: juk-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== k3b ====
Version update (19.04.0 -> 19.04.1)
Subpackages: k3b-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix running the tests with CMAKE_RUNTIME_OUTPUT_DIRECTORY set

==== kalgebra ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kalgebra-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kalzium ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kalzium-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kanagram ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kanagram-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kapptemplate ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kapptemplate-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== katomic ====
Version update (19.04.0 -> 19.04.1)
Subpackages: katomic-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kblackbox ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kblackbox-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kblocks ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kblocks-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kbounce ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kbounce-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kbreakout ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kbreakout-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kbruch ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kbruch-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kcachegrind ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcachegrind-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kcron ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcron-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kde-print-manager ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kde-print-manager-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kdeedu-data ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kdegraphics-thumbnailers ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kdepim-runtime ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdepim-runtime-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0
- Add Qca-qt5 BuildRequires to enable public key authentification
in the EWS resource

==== kdf ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdf-lang kwikdisk

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kdiamond ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdiamond-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kernel-source ====
Version update (5.0.13 -> 5.1.2)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms kernel-vanilla

- Linux 5.1.2 (bnc#1012628).
- x86/speculation/mds: Fix documentation typo (bnc#1012628).
- Documentation: Correct the possible MDS sysfs values
(bnc#1012628).
- x86/mds: Add MDSUM variant to the MDS documentation
(bnc#1012628).
- x86/speculation/mds: Add 'mitigations=' support for MDS
(bnc#1012628).
- s390/speculation: Support 'mitigations=' cmdline option
(bnc#1012628).
- powerpc/speculation: Support 'mitigations=' cmdline option
(bnc#1012628).
- x86/speculation: Support 'mitigations=' cmdline option
(bnc#1012628).
- cpu/speculation: Add 'mitigations=' cmdline option
(bnc#1012628).
- x86/speculation/mds: Print SMT vulnerable on MSBDS with
mitigations off (bnc#1012628).
- x86/speculation/mds: Fix comment (bnc#1012628).
- x86/speculation/mds: Add SMT warning message (bnc#1012628).
- x86/speculation: Move arch_smt_update() call to after mitigation
decisions (bnc#1012628).
- x86/speculation/mds: Add mds=full,nosmt cmdline option
(bnc#1012628).
- Documentation: Add MDS vulnerability documentation
(bnc#1012628).
- Documentation: Move L1TF to separate directory (bnc#1012628).
- x86/speculation/mds: Add mitigation mode VMWERV (bnc#1012628).
- x86/speculation/mds: Add sysfs reporting for MDS (bnc#1012628).
- x86/speculation/mds: Add mitigation control for MDS
(bnc#1012628).
- x86/speculation/mds: Conditionally clear CPU buffers on idle
entry (bnc#1012628).
- x86/kvm/vmx: Add MDS protection when L1D Flush is not active
(bnc#1012628).
- x86/speculation/mds: Clear CPU buffers on exit to user
(bnc#1012628).
- x86/speculation/mds: Add mds_clear_cpu_buffers() (bnc#1012628).
- x86/kvm: Expose X86_FEATURE_MD_CLEAR to guests (bnc#1012628).
- x86/speculation/mds: Add BUG_MSBDS_ONLY (bnc#1012628).
- x86/speculation/mds: Add basic bug infrastructure for MDS
(bnc#1012628).
- x86/speculation: Consolidate CPU whitelists (bnc#1012628).
- x86/msr-index: Cleanup bit defines (bnc#1012628).
- commit 5a8c05f
- config: keep LSM empty in s390x/zfcpdump
This config doesn't really build AppArmor and always had
DEFAULT_SECURITY_DAC so it seems more consistent to keep LSM list empty.
- commit 3073856
- config: enable AppArmor by default again (bsc#1134906)
AppArmor used to be enabled in kernel by default by after the recent
introduction of CONFIG_LSM, we disabled all LSM modules. Enable AppArmor
again.
- commit 953db35
- Update upstream reference:
patches.suse/efifb-Omit-memory-map-check-on-legacy-boot.patch
- commit 133a780
- Linux 5.1.1 (bnc#1012628).
- arm64: futex: Bound number of LDXR/STXR loops in FUTEX_WAKE_OP
(bnc#1012628).
- locking/futex: Allow low-level atomic operations to return
- EAGAIN (bnc#1012628).
- i3c: Fix a shift wrap bug in i3c_bus_set_addr_slot_status()
(bnc#1012628).
- ASoC: Intel: avoid Oops if DMA setup fails (bnc#1012628).
- UAS: fix alignment of scatter/gather segments (bnc#1012628).
- Bluetooth: hci_bcm: Fix empty regulator supplies for Intel Macs
(bnc#1012628).
- Bluetooth: Fix not initializing L2CAP tx_credits (bnc#1012628).
- Bluetooth: Align minimum encryption key size for LE and BR/EDR
connections (bnc#1012628).
- Bluetooth: hidp: fix buffer overflow (bnc#1012628).
- scsi: qla2xxx: Fix device staying in blocked state
(bnc#1012628).
- scsi: qla2xxx: Set remote port devloss timeout to 0
(bnc#1012628).
- scsi: qla2xxx: Fix incorrect region-size setting in optrom
SYSFS routines (bnc#1012628).
- scsi: lpfc: change snprintf to scnprintf for possible overflow
(bnc#1012628).
- soc: sunxi: Fix missing dependency on REGMAP_MMIO (bnc#1012628).
- ACPI / LPSS: Use acpi_lpss_* instead of acpi_subsys_* functions
for hibernate (bnc#1012628).
- cpufreq: armada-37xx: fix frequency calculation for opp
(bnc#1012628).
- iio: adc: qcom-spmi-adc5: Fix of-based module autoloading
(bnc#1012628).
- intel_th: pci: Add Comet Lake support (bnc#1012628).
- genirq: Prevent use-after-free and work list corruption
(bnc#1012628).
- usb-storage: Set virt_boundary_mask to avoid SG overflows
(bnc#1012628).
- USB: cdc-acm: fix unthrottle races (bnc#1012628).
- USB: serial: f81232: fix interrupt worker not stop
(bnc#1012628).
- usb: dwc3: Fix default lpm_nyet_threshold value (bnc#1012628).
- usb: dwc3: Allow building USB_DWC3_QCOM without EXTCON
(bnc#1012628).
- staging: most: sound: pass correct device when creating a
sound card (bnc#1012628).
- staging: most: cdev: fix chrdev_region leak in mod_exit
(bnc#1012628).
- staging: wilc1000: Avoid GFP_KERNEL allocation from atomic
context (bnc#1012628).
- staging: greybus: power_supply: fix prop-descriptor request size
(bnc#1012628).
- ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
(bnc#1012628).
- Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in
hv_synic_cleanup() (bnc#1012628).
- commit 8e0a089
- Sign non-x86 kernels when possible (boo#1134303)
- commit bac621c
- Update to 5.1 final
- Eliminated 1 patch
- New config options:
- PCI:
- PCIE_BW=n (recommended default)
- commit a974d8b

==== kgeography ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kgeography-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Use more https

==== kget ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kget-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kgoldrunner ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kgoldrunner-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== khangman ====
Version update (19.04.0 -> 19.04.1)
Subpackages: khangman-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kig ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kig-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kimagemapeditor ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kimagemapeditor-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kiriki ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kiriki-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kiten ====
Version update (19.04.0 -> 19.04.1)
Subpackages: fonts-KanjiStrokeOrders kiten-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kjumpingcube ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kjumpingcube-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== klettres ====
Version update (19.04.0 -> 19.04.1)
Subpackages: klettres-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== klines ====
Version update (19.04.0 -> 19.04.1)
Subpackages: klines-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kmahjongg ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmahjongg-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kmines ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmines-lang

- Remove unused build requirements
- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kmouth ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmouth-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kmplot ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmplot-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== knavalbattle ====
Version update (19.04.0 -> 19.04.1)
Subpackages: knavalbattle-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== knetwalk ====
Version update (19.04.0 -> 19.04.1)
Subpackages: knetwalk-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kolf ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kolf-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kollision ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kollision-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kolourpaint ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kolourpaint-lang

- Require kdelibs4support, without it saving files doesn't work
(boo#1055759)
- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== konquest ====
Version update (19.04.0 -> 19.04.1)
Subpackages: konquest-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kpat ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kpat-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Avoid tiny cards on high screen resolutions
* Compatibility with bh-solver 0.20.0.

==== kqtquickcharts ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== krb5 ====
Subpackages: krb5-32bit krb5-client

- Move LDAP schema files from /usr/share/doc/packages/krb5 to
/usr/share/kerberos/ldap; (bsc#1134217);

==== krdc ====
Version update (19.04.0 -> 19.04.1)
Subpackages: krdc-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Do not assume framebuffer and scalines are always 32-bit aligned

==== kreversi ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kreversi-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== krfb ====
Version update (19.04.0 -> 19.04.1)
Subpackages: krfb-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kshisen ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kshisen-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== ksirk ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ksirk-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* KGameWindow::slotMovingArmiesArrived: Change delete to deleteLater
* No need to cast to CannonSprite, AnimSprite is enough
* remove unused variables
* Mark functions as override

==== kspaceduel ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kspaceduel-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== ksquares ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ksquares-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== ksudoku ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ksudoku-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== ksystemlog ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ksystemlog-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kteatime ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kteatime-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Add DesktopEntry to notifyrc

==== ktimer ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ktimer-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== ktouch ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ktouch-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Make QML compilation optional

==== ktuberling ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ktuberling-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kturtle ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kturtle-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kubrick ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kubrick-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix compile on arm

==== kwordquiz ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kwordquiz-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Check if the filename is empty when user wants to save the file

==== libkdegames ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdegames-carddecks-default libkdegames-lang libkf5kdegames6

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libkeduvocdocument ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKEduVocDocument5 libkeduvocdocument-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libkmahjongg ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5KMahjongglib5 libkmahjongg-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libmypaint ====
Subpackages: libmypaint-1_3-0 libmypaint-lang

- Add libmypaint-gegl-0.4.14.patch: Fix compilation against gegl
0.4.14 (only for openSUSE >= 15); patch from

https://www.gimpusers.com/forums/gimp-developer/21248-libmypaint-needs-patching-for-recent-gegl.

==== libqt4 ====
Subpackages: libqt4-32bit libqt4-qt3support libqt4-qt3support-32bit libqt4-sql
libqt4-sql-32bit libqt4-sql-sqlite libqt4-sql-sqlite-32bit libqt4-x11
libqt4-x11-32bit

- Move RPM macros to %_rpmmacrodir.

==== lokalize ====
Version update (19.04.0 -> 19.04.1)
Subpackages: lokalize-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Connect cursorPositionChange to the correct signal (kde#406742)

==== lskat ====
Version update (19.04.0 -> 19.04.1)
Subpackages: lskat-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== man-pages ====
Version update (5.00 -> 5.01)

- version update to 5.01
* Newly documented interfaces in existing pages
tsearch.3
Document the twalk_r() function added in glibc 2.30
* see Changes for more details

==== mariadb-connector-c ====

- Add pkgconfig(zlib) Requires to the -devel package: the .pc file
lists -lz in the Libs, but does not mention any requires
explicitly. So let's do our consumers a favor and pull in what we
require.

==== mate-calc ====
Version update (1.20.3 -> 1.22.0)
Subpackages: mate-calc-lang

- Update to version 1.22.0:
* UI: Avoid deprecated GtkButton:use-stock.
* UI: Drop all deprecated elements.
* Replace deprecated gtk_menu_popup.
* Avoid deprecated gtk_image_menu_item_new_from_stock.
* Increase accuracy range to 15.
* math-display: Avoid deprecated 'gtk_widget_modify_bg'
* Avoid deprecated g_type_class_add_private.
* Remove duplicated assignment.
* Disable deprecation warnings for distcheck.
* math-window: Fix memory leak.
* math-display.c: Avoid deprecated gtk_widget_ensure_style.
* ui files: Add missing icons in titles to dialogues.
* buttons-programming.ui: Fix buttons.
- Rebase mate-calc-gtk-3.20.patch.

==== mbox-importer ====
Version update (19.04.0 -> 19.04.1)
Subpackages: mbox-importer-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== nodejs10 ====
Subpackages: nodejs10-devel npm10

- openssl_1_1_1.patch: backport fixes for OpenSSL 1.1.1 (bsc#1134208)
- Require user/group nobody for npm

==== openssl ====
Version update (1.1.0h -> 1.1.1b)
Subpackages: libopenssl-devel

- Update to 1.1.1b release
- Update to 1.1.1a release
- Update to 1.1.1 release
- Update to 1.1.1~pre9 (Beta 7)
- Update to 1.1.0i release

==== openssl-1_1 ====
Version update (1.1.0h -> 1.1.1b)
Subpackages: libopenssl-1_1-devel libopenssl1_1 libopenssl1_1-32bit

- Drop bc and ed BuildRequires: I could not find any reference to
these tools being used during build or check.
- Use upstream-approved patch for the handling of strerror_r
* https://github.com/openssl/openssl/pull/8371
- add openssl-fix-handling-of-GNU-strerror_r.patch
- drop strerror.patch
- Update to 1.1.1b
* Added SCA hardening for modular field inversion in EC_GROUP
through a new dedicated field_inv() pointer in EC_METHOD.
* Change the info callback signals for the start and end of a post-handshake
message exchange in TLSv1.3. In 1.1.1/1.1.1a we used SSL_CB_HANDSHAKE_START
and SSL_CB_HANDSHAKE_DONE. Experience has shown that many applications get
confused by this and assume that a TLSv1.2 renegotiation has started. This
can break KeyUpdate handling. Instead we no longer signal the start and end
of a post handshake message exchange (although the messages themselves are
still signalled). This could break some applications that were expecting
the old signals. However without this KeyUpdate is not usable for many
applications.
* Fix a bug in the computation of the endpoint-pair shared secret used
by DTLS over SCTP. This breaks interoperability with older versions
of OpenSSL like OpenSSL 1.1.0 and OpenSSL 1.0.2. There is a runtime
switch SSL_MODE_DTLS_SCTP_LABEL_LENGTH_BUG (off by default) enabling
interoperability with such broken implementations. However, enabling
this switch breaks interoperability with correct implementations.
* Fix a use after free bug in d2i_X509_PUBKEY when overwriting a
re-used X509_PUBKEY object if the second PUBKEY is malformed.
* Move strictness check from EVP_PKEY_asn1_new() to EVP_PKEY_asn1_add0()
- Add strerror.patch to avoid problems with strerror_r() not setting
the provided buf
- Add s390x poly1305 vectorized implementation (fate#326351)
* https://github.com/openssl/openssl/pull/7991
- add 0001-crypto-poly1305-asm-poly1305-s390x.pl-add-vx-code-pa.patch
- Add s390x chacha20 vectorized implementation (fate#326561)
* https://github.com/openssl/openssl/pull/6919
- added patches:
0001-s390x-assembly-pack-perlasm-support.patch
0002-crypto-chacha-asm-chacha-s390x.pl-add-vx-code-path.patch
- Update to 1.1.1a
* Added EVP_PKEY_ECDH_KDF_X9_63 and ecdh_KDF_X9_63() as replacements for
the EVP_PKEY_ECDH_KDF_X9_62 KDF type and ECDH_KDF_X9_62(). The old names
are retained for backwards compatibility.
* Fixed the issue that RAND_add()/RAND_seed() silently discards random input
if its length exceeds 4096 bytes. The limit has been raised to a buffer size
of two gigabytes and the error handling improved.
- drop upstream patches:
* 0001-Add-a-constant-time-flag-to-one-of-the-bignums-to-av.patch
* 0001-DSA-Check-for-sanity-of-input-parameters.patch
* 0001-DSA-mod-inverse-fix.patch
* openssl-CVE-2018-0734.patch
* openssl-CVE-2018-0735.patch
- OpenSSL Security Advisory [30 October 2018]
* Timing vulnerability in ECDSA signature generation
(bsc#1113651, CVE-2018-0735)
* Timing vulnerability in DSA signature generation
(bsc#1113652, CVE-2018-0734)
* And more timing fixes
- Add patches:
* openssl-CVE-2018-0734.patch
* openssl-CVE-2018-0735.patch
* 0001-DSA-mod-inverse-fix.patch
* 0001-Add-a-constant-time-flag-to-one-of-the-bignums-to-av.patch
- Fix infinite loop in DSA generation with incorrect parameters
(bsc#1112209)
* 0001-DSA-Check-for-sanity-of-input-parameters.patch
- Explictly select "getrandom" system call as the seed source,
it is the safer/best performing choice on linux.
- do not force -std=gnu99, pick the compiler default.
- Update to 1.1.1 release
* This is the first official release of the OpenSSL 1.1.1 branch
which brings TLS 1.3 support
- remove all TLS 1.3 ciphers from the DEFAULT_SUSE cipher list as they
are configured differently
* modified openssl-DEFAULT_SUSE_cipher.patch
- drop obsolete openssl-pretend_we_are_not_beta.patch
- Update to 1.1.1-pre9 (Beta 7)
* Support for TLSv1.3 added
* Move the display of configuration data to configdata.pm.
* Allow GNU style "make variables" to be used with Configure.
* Add a STORE module (OSSL_STORE)
* Claim the namespaces OSSL and OPENSSL, represented as symbol prefixes
* Add multi-prime RSA (RFC 8017) support
* Add SM3 implemented according to GB/T 32905-2016
* Add SM4 implemented according to GB/T 32907-2016.
* Add 'Maximum Fragment Length' TLS extension negotiation and support
* Add ARIA support
* Add SHA3
* Rewrite of devcrypto engine
* Add support for SipHash
* Grand redesign of the OpenSSL random generator
- pretend the release is not a Beta, to avoid "OpenSSL version mismatch"
with OpenSSH
* add openssl-pretend_we_are_not_beta.patch
- drop FIPS support
* don't build with FIPS mode (not supported in 1.1.1)
* don't create the -hmac subpackages
- drop FIPS patches
* openssl-fips-clearerror.patch
* openssl-fips-dont-fall-back-to-default-digest.patch
* openssl-fips-dont_run_FIPS_module_installed.patch
* openssl-fips-fix-odd-rsakeybits.patch
* openssl-fips-rsagen-d-bits.patch
* openssl-fips-selftests_in_nonfips_mode.patch
* openssl-fips_disallow_ENGINE_loading.patch
* openssl-rsakeygen-minimum-distance.patch
* openssl-1.1.0-fips.patch
* openssl-urandom-reseeding.patch
* openssl-CVE-2018-0737-fips.patch
- add TLS 1.3 ciphers to DEFAULT_SUSE
- merge openssl-1.0.1e-add-suse-default-cipher.patch and
openssl-1.0.1e-add-test-suse-default-cipher-suite.patch to
openssl-DEFAULT_SUSE_cipher.patch
- drop patches:
* openssl-static-deps.patch (upstream)
* 0001-Resume-reading-from-randfile-when-interrupted-by-a-s.patch
* openssl-disable_rsa_keygen_tests_with_small_modulus.patch
* 0001-Axe-builtin-printf-implementation-use-glibc-instead.patch
- drop s390x patches
* 0002-crypto-modes-asm-ghash-s390x.pl-fix-gcm_gmult_4bit-K.patch
* 0004-s390x-assembly-pack-add-OPENSSL_s390xcap-environment.patch
* 0005-s390x-assembly-pack-add-OPENSSL_s390xcap-man-page.patch
* 0006-s390x-assembly-pack-extended-s390x-capability-vector.patch
* 0007-crypto-evp-e_aes.c-add-foundations-for-extended-s390.patch
* 0008-s390x-assembly-pack-extended-s390x-capability-vector.patch
* 0009-crypto-aes-asm-aes-s390x.pl-add-KMA-code-path.patch
* 0010-doc-man3-OPENSSL_s390xcap.pod-update-KMA.patch
* 0011-crypto-aes-asm-aes-s390x.pl-add-CFI-annotations-KMA-.patch
* 0012-s390x-assembly-pack-add-KMA-code-path-for-aes-gcm.patch
* 0013-crypto-aes-asm-aes-s390x.pl-add-CFI-annotations-KMA-.patch
- Update to 1.1.0i
OpenSSL Security Advisory [12 June 2018]
* Reject excessively large primes in DH key generation
(bsc#1097158, CVE-2018-0732)
* Make EVP_PKEY_asn1_new() a bit stricter about its input
* Revert blinding in ECDSA sign and instead make problematic addition
length-invariant. Switch even to fixed-length Montgomery multiplication.
* Change generating and checking of primes so that the error rate of not
being prime depends on the intended use based on the size of the input.
* Increase the number of Miller-Rabin rounds for DSA key generating to 64.
* Add blinding to ECDSA and DSA signatures to protect against side channel
attacks
* When unlocking a pass phrase protected PEM file or PKCS#8 container, we
now allow empty (zero character) pass phrases.
* Certificate time validation (X509_cmp_time) enforces stricter
compliance with RFC 5280. Fractional seconds and timezone offsets
are no longer allowed.
* Fixed a text canonicalisation bug in CMS
- drop patches (upstream):
* 0001-Limit-scope-of-CN-name-constraints.patch
* 0001-Revert-util-dofile.pl-only-quote-stuff-that-actually.patch
* 0001-Tolerate-a-Certificate-using-a-non-supported-group-o.patch
* 0002-Skip-CN-DNS-name-constraint-checks-when-not-needed.patch
- refresh patches:
* openssl-1.1.0-fips.patch
* openssl-disable_rsa_keygen_tests_with_small_modulus.patch
- rename openssl-CVE-2018-0737.patch to openssl-CVE-2018-0737-fips.patch
as it now only includes changes to the fips code

==== p11-kit ====
Subpackages: libp11-kit0 libp11-kit0-32bit p11-kit-tools

- Move RPM macros to %_rpmmacrodir.

==== parley ====
Version update (19.04.0 -> 19.04.1)
Subpackages: parley-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== pim-data-exporter ====
Version update (19.04.0 -> 19.04.1)
Subpackages: pim-data-exporter-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== pim-sieve-editor ====
Version update (19.04.0 -> 19.04.1)
Subpackages: pim-sieve-editor-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix Bug 406902 - sieveeditor crash on start (kde#406902)

==== postgresql11 ====
Version update (11.2 -> 11.3)
Subpackages: postgresql11-contrib postgresql11-docs postgresql11-server

- Update to 11.3:
* https://www.postgresql.org/docs/11/release-11-3.html
* https://www.postgresql.org/about/news/1939/
* CVE-2019-10130, bsc#1134689: Prevent row-level security
policies from being bypassed via selectivity estimators.
* CVE-2019-10129, bsc#1134684: Avoid access to already-freed
memory during partition routing error reports.

==== postgresql11-libs ====
Version update (11.2 -> 11.3)
Subpackages: libecpg6 libpq5 postgresql11-devel

- Update to 11.3:
* https://www.postgresql.org/docs/11/release-11-3.html
* https://www.postgresql.org/about/news/1939/
* CVE-2019-10130, bsc#1134689: Prevent row-level security
policies from being bypassed via selectivity estimators.
* CVE-2019-10129, bsc#1134684: Avoid access to already-freed
memory during partition routing error reports.

==== python-h2 ====

- Updated testing line to current standard
- Removed symlink in install line

==== python-pycups ====
Version update (1.9.73 -> 1.9.74)
Subpackages: python2-pycups python3-pycups

- Update to version 1.9.74
* no changelog provided

==== python-pygit2 ====
Version update (0.28.0 -> 0.28.1)

- Update to 0.28.1
* Removed patch pycparser.patch as it is no longer needed
* Now works with pycparser 2.18 and above
* Now ``Repository.write_archive(..)`` keeps the file mode
* New ``Patch.data`` returns the raw contents of the patch as a byte string
* New ``Patch.text`` returns the contents of the patch as a text string,

==== python-pygraphviz ====
Version update (1.4rc1 -> 1.5)

- Update to 1.5
* Python 3.7 support

==== rubygem-asciidoctor ====
Version update (1.5.8 -> 2.0.9)

- updated to version 2.0.9
see installed CHANGELOG.adoc
// tag::compact[]
== 2.0.9 (2019-04-30) - @mojavelinux
Bug Fixes::
* process multiple single-item menu macros in same line (#3279)
* register images in catalog correctly (#3283)
* rename AbstractNode#options method to AbstractNode#enabled_options so it
doesn't get shadowed by Document#options (#3282)
* don't fail to convert document if alt attribute is not set on block or
inline image (typically by an extension)
* fix lineno of source location on blocks that follow a detached list
continuation (#3281)
* assume inline image type is "image" if not set (typically by an extension)
// end::compact[]
== 2.0.8 (2019-04-22) - @mojavelinux
Bug Fixes::
* restore background color applied to literal blocks by default stylesheet
(#3258)
* use portability constants (CC_ALL, CC_ANY) in regular expressions defined
in built-in converters (DocBook5 and ManPage)
* use portability constant (CC_ANY) in regular expression for custom inline
macros
* use smarter margin collapsing for AsciiDoc table cell content; prevent
passthrough content from being cut off (#3256)
* don't limit footnote ref to ASCII charset; allow any word character in
Unicode to be used (#3269)
Improvements::
* register_for methods accept arguments as symbols (#3274)
* use Concurrent::Map instead of Concurrent::Hash in template converter
* use module_function keyword to define methods in Helpers
* move regular expression definitions to separate source file (internal
change)
== 2.0.7 (2019-04-13) - @mojavelinux
Bug Fixes::
* fix crash when resolving ID from text and at least one candidate contains
an unresolved xref (#3254)
* fix compatibility with Rouge 2.0
Improvements::
* improve documentation for the `-a` CLI option; explain that `@` modifier
can be placed at end of name as alternative to end of value
* move source for main API entry points (load, load_file, convert,
convert_file) to separate files (internal change)
* define main API entry points (load, load_file, convert, convert_file) as
module functions
Also see
https://github.com/asciidoctor/asciidoctor/milestone/33?closed=1[issues
resolved in 2.0.x] (cumulative).
== 2.0.6 (2019-04-04) - @mojavelinux
Bug Fixes::
* assume implicit AsciiDoc extension on interdoc xref macro target with no
extension (e.g., `document#`); restores 1.5.x behavior (#3231)
* don't fail to load application if call to Dir.home fails; use a rescue with
fallback values (#3238)
* Helpers.rootname should only consider final path segment when dropping file
extension
Improvements::
* implement Helpers.extname as a more efficient and flexible File.extname
method
* check for AsciiDoc file extension using end_with? instead of resolving the
extname and using a lookup
Also see
https://github.com/asciidoctor/asciidoctor/milestone/33?closed=1[issues
resolved in 2.0.x] (cumulative).
== 2.0.5 (2019-04-01) - @mojavelinux
Bug Fixes::
* fix crash when source highlighter is Rouge and source language is not set
on block (#3223)
* update CLI and SyntaxHighlighter to allow Asciidoctor to load cleanly on
Ruby 2.0 - 2.2
* CLI should use $stdin instead of STDIN to be consistent with the use of
$stdout
* mark encoding of stdio objects used in CLI as UTF-8 (#3225)
* make Asciidoctor::SyntaxHighlighter::Config.register_for method public as
documented
Also see
https://github.com/asciidoctor/asciidoctor/milestone/33?closed=1[issues
resolved in 2.0.x] (cumulative).
== 2.0.4 (2019-03-31) - @mojavelinux
Bug Fixes::
* allow Asciidoctor to load cleanly on Ruby 2.0 - 2.2 for distributions that
provide support for these older Ruby versions
* make Asciidoctor::Converter::Config.register_for method public as documented
* remove unused Asciidoctor::Converter::BackendTraits#derive_backend_traits
private method
* move Asciidoctor::Converter::BackendTraits.derive_backend_traits method to
Asciidoctor::Converter
* mark render and render_file methods as deprecated in API docs
Also see
https://github.com/asciidoctor/asciidoctor/milestone/33?closed=1[issues
resolved in 2.0.x] (cumulative).
- updated to version 2.0.3
see installed CHANGELOG.adoc

==== samba ====
Version update (4.10.2+git.78.0c89af72312 -> 4.10.2+git.94.31fb5e37171)
Subpackages: libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0
libdcerpc0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libsamba-credentials0 libsamba-credentials0-32bit
libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
libsamba-policy0-python3 libsamba-util0 libsamba-util0-32bit libsamdb0
libsamdb0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap2
libsmbldap2-32bit libtevent-util0 libtevent-util0-32bit libwbclient0
libwbclient0-32bit samba-client samba-client-32bit samba-doc samba-libs
samba-libs-32bit samba-libs-python3 samba-python3 samba-winbind
samba-winbind-32bit

- Fix cephwrap_flistxattr() debug message; (bso#13940); (bsc#1134697).
- Add ceph_snapshots VFS module; (jsc#SES-183).
- Fix vfs_ceph realpath; (bso#13918); (bsc#1134452).

==== shared-mime-info ====
Subpackages: shared-mime-info-lang

- Move RPM macros to %_rpmmacrodir.

==== step ====
Version update (19.04.0 -> 19.04.1)
Subpackages: step-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== sweeper ====
Version update (19.04.0 -> 19.04.1)
Subpackages: sweeper-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== sysuser-tools ====

- Fix default home directory [bsc#1105934]
- Use _rpmmacrodir for macro file

==== ucode-intel ====
Version update (20190312 -> 20190514)

- Intel QSR 2019.1 Microcode release (bsc#1111331 CVE-2018-12126
CVE-2018-12130 CVE-2018-12127 CVE-2019-11091)
Processor Identifier Version Products
Model Stepping F-MO-S/PI Old->New
- --- new platforms ----------------------------------------
VLV C0 6-37-8/02 00000838 Atom Z series
VLV C0 6-37-8/0C 00000838 Celeron N2xxx, Pentium
N35xx
VLV D0 6-37-9/0F 0000090c Atom E38xx
CHV C0 6-4c-3/01 00000368 Atom X series
CHV D0 6-4c-4/01 00000411 Atom X series
CLX-SP B1 6-55-7/bf 05000021 Xeon Scalable Gen2
- --- updated platforms ------------------------------------
SNB D2/G1/Q0 6-2a-7/12 0000002e->0000002f Core Gen2
IVB E1/L1 6-3a-9/12 00000020->00000021 Core Gen3
HSW C0 6-3c-3/32 00000025->00000027 Core Gen4
BDW-U/Y E0/F0 6-3d-4/c0 0000002b->0000002d Core Gen5
IVB-E/EP C1/M1/S1 6-3e-4/ed 0000042e->0000042f Core Gen3 X Series; Xeon
E5 v2
IVB-EX D1 6-3e-7/ed 00000714->00000715 Xeon E7 v2
HSX-E/EP Cx/M1 6-3f-2/6f 00000041->00000043 Core Gen4 X series; Xeon
E5 v3
HSX-EX E0 6-3f-4/80 00000013->00000014 Xeon E7 v3
HSW-U C0/D0 6-45-1/72 00000024->00000025 Core Gen4
HSW-H C0 6-46-1/32 0000001a->0000001b Core Gen4
BDW-H/E3 E0/G0 6-47-1/22 0000001e->00000020 Core Gen5
SKL-U/Y D0/K1 6-4e-3/c0 000000c6->000000cc Core Gen6
BDX-ML B0/M0/R0 6-4f-1/ef 0b00002e->00000036 Xeon E5/E7 v4; Core
i7-69xx/68xx
SKX-SP H0/M0/U0 6-55-4/b7 0200005a->0000005e Xeon Scalable
SKX-D M1 6-55-4/b7 0200005a->0000005e Xeon D-21xx
BDX-DE V1 6-56-2/10 00000019->0000001a Xeon D-1520/40
BDX-DE V2/3 6-56-3/10 07000016->07000017 Xeon
D-1518/19/21/27/28/31/33/37/41/48, Pentium D1507/08/09/17/19
BDX-DE Y0 6-56-4/10 0f000014->0f000015 Xeon
D-1557/59/67/71/77/81/87
BDX-NS A0 6-56-5/10 0e00000c->0e00000d Xeon D-1513N/23/33/43/53
APL D0 6-5c-9/03 00000036->00000038 Pentium N/J4xxx, Celeron
N/J3xxx, Atom x5/7-E39xx
SKL-H/S R0/N0 6-5e-3/36 000000c6->000000cc Core Gen6; Xeon E3 v5
DNV B0 6-5f-1/01 00000024->0000002e Atom C Series
GLK B0 6-7a-1/01 0000002c->0000002e Pentium Silver N/J5xxx,
Celeron N/J4xxx
AML-Y22 H0 6-8e-9/10 0000009e->000000b4 Core Gen8 Mobile
KBL-U/Y H0 6-8e-9/c0 0000009a->000000b4 Core Gen7 Mobile
CFL-U43e D0 6-8e-a/c0 0000009e->000000b4 Core Gen8 Mobile
WHL-U W0 6-8e-b/d0 000000a4->000000b8 Core Gen8 Mobile
WHL-U V0 6-8e-d/94 000000b2->000000b8 Core Gen8 Mobile
KBL-G/H/S/E3 B0 6-9e-9/2a 0000009a->000000b4 Core Gen7; Xeon E3 v6
CFL-H/S/E3 U0 6-9e-a/22 000000aa->000000b4 Core Gen8 Desktop, Mobile,
Xeon E
CFL-S B0 6-9e-b/02 000000aa->000000b4 Core Gen8
CFL-H/S P0 6-9e-c/22 000000a2->000000ae Core Gen9
CFL-H R0 6-9e-d/22 000000b0->000000b8 Core Gen9 Mobile

==== umbrello ====
Version update (19.04.0 -> 19.04.1)
Subpackages: umbrello-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* file import: do not use overwritten temporary file (kde#406574)

==== xdg-desktop-portal-kde ====
Subpackages: xdg-desktop-portal-kde-lang

- Recommend pipewire for screencasting

==== xfdesktop ====
Subpackages: xfdesktop-lang

- Added wallpaper-scaling.patch. Fixes boo#1134125

==== yast2-firstboot ====
Version update (4.1.6 -> 4.1.7)

- Update the firstboot.xml template to use the "firstboot_licenses"
client for the license agreement.
- Adapt the "firstboot_licenses" client to cover all possible
scenarios: to display the Novell license agreement, the vendor
license agreement, both or simply the default one (bsc#1131327).
- 4.1.7

==== yast2-installation ====
Version update (4.2.3 -> 4.2.4)

- Downloading files: Remounting CD with bind option correctly if
the CD has already been mounted (bsc#1132915).
- 4.2.4

==== yast2-packager ====
Version update (4.2.4 -> 4.2.6)

- List of Online Repositories: Do not show already added repos.
Replace $releasever by the current product version.
(bsc#1132622)
- 4.2.6
- Increase the memory limit warning for the online repositories to
1.5GiB to avoid freezing the installer (bsc#1132650)
- Properly handle going back when selecting the modules from the
Packages DVD medium (bsc#1131968)
- Prefer control.xml to ProductFeatures for Community Repositories
(bsc#1132613)
- 4.2.5

==== yast2-pam ====
Version update (4.2.1 -> 4.2.3)

- Fixed packager initialization (fixes missing GPG keys in the
installed system) (bsc#1135295)
- 4.2.3
- Init pkg target with Installation.destdir, not "/" (bsc#1133541)
- 4.2.2

==== yast2-theme ====
Version update (4.2.1 -> 4.2.2)
Subpackages: yast2-theme-breeze yast2-theme-oxygen

- BuildIgnore yast2-branding: yast2-branding is a provided
capability. In order to be able to bootstrap this package, we
need to help OBS to know it can ignore the absence of
yast2-branding when starting to build this package (boo#1134976).
- 4.2.2


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups